SIMPLE_CONSUMER3(1)

NAME
simple_consumer3 - PgQ consumer that executes query for each event

SYNOPSIS
simple_consumer3.py [switches] config.ini

DESCRIPTION
For each event in batch it will execute query, filling event values into it. Transactionality: query is executed in autocommit mode, no batch tracking is done. That means on failure, whole batch is fetched and all events are processed again.

CONFIG
Run simple_consumer3 --ini to see commented config template.

COMMAND LINE SWITCHES
Following switches are common to all skytools.DBScript-based Python programs.

-h, --help
    show help message and exit

-q, --quiet
    make program silent

-v, --verbose
    make program more verbose

-d, --daemon
    make program go background

--ini
    show commented template config file. Following switches are used to control already running process. The pidfile is read from config then signal is sent to process id specified there.

-r, --reload
    reload config (send SIGHUP)

-s, --stop
    stop program safely (send SIGINT)

-k, --kill
    kill program immidiately (send SIGTERM)